Bug 913367 - Review Request: gpick - Advanced color picker
Review Request: gpick - Advanced color picker
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Eugene A. Pivnev
Fedora Extras Quality Assurance
:
: 853775 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-21 00:24 EST by Luya Tshimbalanga
Modified: 2013-04-25 10:08 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-04-25 10:08:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
luya: fedora‑review+
pbabinca: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Luya Tshimbalanga 2013-02-21 00:24:13 EST
Spec URL: http://luya.fedorapeople.org/packages/SPECS/gpick.spec
SRPM URL: http://luya.fedorapeople.org/packages/SRPMS/gpick-0.2.4-2.fc18.src.rpm
Koji build --scratch: http://koji.fedoraproject.org/koji/taskinfo?taskID=5038720
Description: Advanced color picker written in C++ using GTK+ toolkit
Fedora Account System Username: luya
Comment 1 Luya Tshimbalanga 2013-02-21 00:25:09 EST
*** Bug 853775 has been marked as a duplicate of this bug. ***
Comment 2 Eugene A. Pivnev 2013-04-11 08:18:51 EDT
Package seems clear.
I get it on review swaping with next qt-based applications:
https://bugzilla.redhat.com/show_bug.cgi?id=929425 - advanced plain text editor
https://bugzilla.redhat.com/show_bug.cgi?id=947049 - keyboard layout switcher
https://bugzilla.redhat.com/show_bug.cgi?id=949154 - clipboard history manager
Comment 3 Luya Tshimbalanga 2013-04-11 15:03:41 EDT
Thank you, I will do the same for one of listed package.
Comment 4 Eugene A. Pivnev 2013-04-12 08:02:51 EDT
BUGS:
* %description: Description is smaller then Summary.
* %post, %postun: "/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :" is hack. Add hicolor-icon-theme to BuildRequires and Requires.
* %files: As Fedora puts documents into %{_docdir}/%{name}-%{version} - replace current %doc expression with "share/doc/gpick/copyright" (patching SConstruct befor, naturally).

Issues (not blockers):
* Separate expressions inside sections something different then sections between each other. E.g. - double CR between sections and one CR between expression. Or one CR and no CR respectively.
* You can replace BRs with "rpmname-independent" expressions:
	dbus-glib-devel => pkgconfig(dbus-glib-1)
	gtk2-devel => pkgconfig(gtk+-2.0)
	lua-devel => pkgconfig(lua)
	expat-devel => pkgconfig(expat)
* You can replace "export ... scons..." with one line: "scons ... CFLAGS=... CXXFLAGS=..."
* You can replace %{_usr} with %{_prefix}

Questions:
* Why lemon is needed? I created package without it.
Comment 5 Rex Dieter 2013-04-12 09:49:38 EDT
Re comment #4
the BUGS: suggestion about icon-related %post,%postun scriptlets is invalid, please see:
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Icon_Cache
(in particular, the scriptlet's here are valid, and adding an extra Requires: hicolor-icon-theme is not, since gtk2 already pulls that in)


While we're on non-blocker topics: my own pet-peave... I'd suggest removing from Summary/description the text "written in C++ using GTK+ toolkit".  End users don't need to know or care what language or toolkit is used.
Comment 6 Luya Tshimbalanga 2013-04-14 03:10:42 EDT
Here is the updated spec and srpms including a short summary and description
Spec URL: http://luya.fedorapeople.org/packages/SPECS/gpick.spec
SRPM URL: http://luya.fedorapeople.org/packages/SRPMS/gpick-0.2.4-3.fc18.src.rpm
Koji build --scratch: http://koji.fedoraproject.org/koji/taskinfo?taskID=5249406

Upstream has released a newest version but I will update the package when it will be available to the repository.
Comment 7 Eugene A. Pivnev 2013-04-14 07:08:52 EDT
Greate. Everything clear but...
To Rex Dieter: I can't find in guidelines - whether "%doc %{_docdir}/%{name}/copyright" is accaptable?
Comment 8 Eugene A. Pivnev 2013-04-14 07:20:17 EDT
(In reply to comment #5)
> End users don't need to know or care what language or toolkit is used.

I agree with removeing language, but not - with GTK. User can want to know - how application look like. As for me - I prefere qt-based or kde-based - due gtk look'n'feel. This is an example - nothing personal :-)
Comment 9 Eugene A. Pivnev 2013-04-14 14:29:58 EDT
(In reply to comment #6)
> Here is the updated spec and srpms including a short summary and description
> Spec URL: http://luya.fedorapeople.org/packages/SPECS/gpick.spec
> SRPM URL:
> http://luya.fedorapeople.org/packages/SRPMS/gpick-0.2.4-3.fc18.src.rpm

Something wrong:

bash-4.2$ fedora-review -b 913367
INFO: Processing bugzilla bug: 913367
INFO: Getting .spec and .srpm Urls from : 913367
INFO:   --> SRPM url: http://luya.fedorapeople.org/packages/SRPMS/gpick-0.2.4-3.fc18.src.rpm
INFO:   --> Spec url: http://luya.fedorapeople.org/packages/SPECS/gpick.spec
INFO: Downloading .spec and .srpm files
ERROR: 'Error 404 downloading http://luya.fedorapeople.org/packages/SRPMS/gpick-0.2.4-3.fc18.src.rpm'
Comment 10 Luya Tshimbalanga 2013-04-14 19:46:41 EDT
The .srpm is locatd on other path. Here is the correct address
Spec URL: http://luya.fedorapeople.org/packages/SPECS/gpick.spec
SRPM URL: http://luya.fedorapeople.org/packages/gpick-0.2.4-3.fc18.src.rpm

I am currently on a place with unstable network.
Comment 11 Luya Tshimbalanga 2013-04-14 23:16:27 EDT
(In reply to comment #10)
> The .srpm is locatd on other path. Here is the correct address
> Spec URL: http://luya.fedorapeople.org/packages/SPECS/gpick.spec
> SRPM URL: http://luya.fedorapeople.org/packages/gpick-0.2.4-3.fc18.src.rpm
> 
> I am currently on a place with unstable network.

Disregard above post, I fixed the correct location of srpm files on 
SRPM url: http://luya.fedorapeople.org/packages/SRPMS/gpick-0.2.4-3.fc18.src.rpm
Could you try again?
Comment 12 Eugene A. Pivnev 2013-04-15 04:18:48 EDT
Ooops... Seems expat-devel in F17 has no pkg-config file:
http://kojipkgs.fedoraproject.org//work/tasks/2410/5252410/mock_output.log
I'm sorry.
Comment 13 Luya Tshimbalanga 2013-04-15 12:16:35 EDT
Here is these updated files
Spec URL: http://luya.fedorapeople.org/packages/SPECS/gpick.spec
SRPM URL: http://luya.fedorapeople.org/packages/SRPMS/gpick-0.2.4-3.fc18.src.rpm

Koji build of f19:
http://koji.fedoraproject.org/koji/taskinfo?taskID=5254527

Koji build for f17 (with expat-devel):
http://koji.fedoraproject.org/koji/taskinfo?taskID=5254552

Once accepted, f18+ version will use pkg-config.
Comment 14 Eugene A. Pivnev 2013-04-16 05:03:19 EDT
gpick.spec contains Relese: 4, but srpm is ...-3.
fedora-package produces error
Comment 15 Luya Tshimbalanga 2013-04-16 05:33:23 EDT
I forgot to change the srpm because release 4 is already published.
Spec URL: http://luya.fedorapeople.org/packages/SPECS/gpick.spec
SRPM URL: http://luya.fedorapeople.org/packages/SRPMS/gpick-0.2.4-4.fc18.src.rpm
Comment 16 Eugene A. Pivnev 2013-04-16 05:36:28 EDT
Be attentive: http://luya.fedorapeople.org/packages/SRPMS/
There is no -4.fc18

As I get - fedora-package gets last Spec URL and SRPM URL in bug thread.
Comment 17 Luya Tshimbalanga 2013-04-16 12:29:21 EDT
(In reply to comment #16)
> Be attentive: http://luya.fedorapeople.org/packages/SRPMS/
> There is no -4.fc18

It is now uploaded.
Comment 18 Eugene A. Pivnev 2013-04-17 02:36:00 EDT
During reviewing:
"[ ]: Latest version is packaged."
http://code.google.com/p/gpick/downloads/list - latest is 0.2.5 but 0.2.4 packaged.
Comment 19 Luya Tshimbalanga 2013-04-17 05:28:55 EDT
I am aware of it but the review was submitted before 0.2.5 was released.
Comment 20 Luya Tshimbalanga 2013-04-17 05:40:58 EDT
In addition, 0.2.5 requires lua >= 5.2 which is not available on Fedora 18.
Comment 21 Eugene A. Pivnev 2013-04-17 05:54:06 EDT
Package Review
==============
===== MUST items =====
OK
===== SHOULD items =====
* Latest version is packaged.
* Patches link to upstream bugs/comments/lists or are otherwise justified.
* Packages should try to preserve timestamps of original installed files.

Rpmlint
-------
OK but source n/a

MD5-sum check
-------------
N/a because of source N/A

APPROVED
Comment 22 Luya Tshimbalanga 2013-04-17 12:15:13 EDT
Weird. Bugzilla somehow changed fedora-review+ to luya fedora-review? which requesting fedora-cvs? . Is it some kind of bug?
Comment 23 Gwyn Ciesla 2013-04-17 15:08:19 EDT
No SCM request found, un-setting fedora-cvs.
Comment 24 Luya Tshimbalanga 2013-04-18 02:37:55 EDT
New Package SCM Request
=======================
Package Name: gpick
Short Description: Advanced color picker
Owners: luya
Branches: f19 f18 f17 el6
InitialCC: luya
Comment 25 Pavol Babinčák 2013-04-18 08:11:42 EDT
Git done (by process-git-requests).
Comment 26 Fedora Update System 2013-04-18 13:57:22 EDT
gpick-0.2.4-4.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gpick-0.2.4-4.fc18
Comment 27 Fedora Update System 2013-04-18 13:57:35 EDT
gpick-0.2.4-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gpick-0.2.4-4.fc19
Comment 28 Fedora Update System 2013-04-18 13:57:44 EDT
gpick-0.2.4-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/gpick-0.2.4-4.el6
Comment 29 Fedora Update System 2013-04-18 13:57:54 EDT
gpick-0.2.4-4.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/gpick-0.2.4-4.fc17
Comment 30 Fedora Update System 2013-04-19 00:48:40 EDT
gpick-0.2.4-4.fc17 has been pushed to the Fedora 17 testing repository.
Comment 31 Fedora Update System 2013-04-25 10:08:44 EDT
gpick-0.2.4-4.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.